import { CommonModule } from '@angular/common';
import { Component, Input, OnInit } from '@angular/core';
import { IonCard } from '@ionic/angular/standalone';
import { CloudObject, CloudQuery,CloudUser } from '../../lib/ncloud';
@Component({
  selector: 'app-article-card',
  templateUrl: './article-card.component.html',
  styleUrls: ['./article-card.component.scss'],
  standalone: true,
  imports: [
    IonCard, CommonModule
  ]
})
export class ArticleCardComponent  implements OnInit {
  user : CloudUser 
  admin:string = 'nRDdxdEn2k'
  constructor() { 
    this.user = new CloudUser();
  }
  async loadDoctorList(){
    let user = new CloudUser();
    let query = new CloudQuery("NovelCharacter");
    query.equalTo("user",user?.id)
    console.log("user",user.id)
   
  }
  ngOnInit() {
    this.loadDoctorList();
  }

  dropdownVisible = false;

  toggleDropdown() {
    this.dropdownVisible = !this.dropdownVisible;
  }

  @Input() card: any; 
}
